# Class ProtectedMailboxStorageEntry

#### Hierarchy

- unknown
  - ProtectedMailboxStorageEntry

- Defined in src/protobuf/pb_pb.d.ts:2083
- Defined in src/protobuf/pb_pb.d.ts:2102

#####
Index

### Constructors

constructor

### Methods

clearEntry
getEntry
getReceiversPubKeyBytes
getReceiversPubKeyBytes_asB64
getReceiversPubKeyBytes_asU8
hasEntry
serializeBinary
setEntry
setReceiversPubKeyBytes
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new ProtectedMailboxStorageEntry(): ProtectedMailboxStorageEntry

- #### Returns ProtectedMailboxStorageEntry

  Inherited from jspb.Message.constructor

## Methods

### clearEntry

- clearEntry(): ProtectedMailboxStorageEntry

- #### Returns ProtectedMailboxStorageEntry

  - Defined in src/protobuf/pb_pb.d.ts:2087

### getEntry

- getEntry(): undefined | ProtectedStorageEntry

- #### Returns undefined | ProtectedStorageEntry

  - Defined in src/protobuf/pb_pb.d.ts:2084

### getReceiversPubKeyBytes

- getReceiversPubKeyBytes(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2089

### getReceiversPubKeyBytes_asB64

- getReceiversPubKeyBytes_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2091

### getReceiversPubKeyBytes_asU8

- getReceiversPubKeyBytes_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2090

### hasEntry

- hasEntry(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2086

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2094

### setEntry

- setEntry(value?: ProtectedStorageEntry): ProtectedMailboxStorageEntry

- #### Parameters

  - ##### `Optional` value: ProtectedStorageEntry

  #### Returns ProtectedMailboxStorageEntry

  - Defined in src/protobuf/pb_pb.d.ts:2085

### setReceiversPubKeyBytes

- setReceiversPubKeyBytes(value: string | Uint8Array): ProtectedMailboxStorageEntry

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns ProtectedMailboxStorageEntry

  - Defined in src/protobuf/pb_pb.d.ts:2092

### toObject

- toObject(includeInstance?: boolean): ProtectedMailboxStorageEntry.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns ProtectedMailboxStorageEntry.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2095

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): ProtectedMailboxStorageEntry

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ProtectedMailboxStorageEntry

  - Defined in src/protobuf/pb_pb.d.ts:2098

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ProtectedMailboxStorageEntry, reader: BinaryReader): ProtectedMailboxStorageEntry

- #### Parameters

  - ##### message: ProtectedMailboxStorageEntry

  - ##### reader: BinaryReader

  #### Returns ProtectedMailboxStorageEntry

  - Defined in src/protobuf/pb_pb.d.ts:2099

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: ProtectedMailboxStorageEntry, writer: BinaryWriter): void

- #### Parameters

  - ##### message: ProtectedMailboxStorageEntry

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:2097

### `Static` toObject

- toObject(includeInstance: boolean, msg: ProtectedMailboxStorageEntry): ProtectedMailboxStorageEntry.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ProtectedMailboxStorageEntry

  #### Returns ProtectedMailboxStorageEntry.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2096

Generated using TypeDoc